<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.m05bConstantesPaginas,m05bClasses.m05bCombo,java.io.PrintWriter" %>
<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>   
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>


<HTML>
<HEAD>
		<title><%= resTit.getString("titPrcCambioMatricula")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
</HEAD>
<BODY style="cursor: wait"  onkeyDown="cancelaEnter();" onload="document.body.style.cursor='default';document.formCambioMatricula.MatricActual.focus();InitMenu();" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
	<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.PRC_CAMBIOMATRICULA%>";
			detActual = '<%=resCM.getString("cmPrcCambioMatricula")%>';
			rutaCabecera="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
	</SCRIPT>
	<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p>
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="formCambioMatricula" METHOD="POST">
				<%	String matricula, mensaje, accion, sql = "";
					m05bCombo miCombo = new m05bCombo();

					mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
				    PrintWriter outMsg= response.getWriter();
					if (mensaje.equals(m05bConstantes.MSG_OK)) {
					    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
					} else if (mensaje.equals(m05bConstantes.MSG_EXISTE)){
					    outMsg.println("<script>alert(dameAlerta(idioma, 51));</script>");
					}
					outMsg.close();
					%>
					  <TABLE class="general">
					    <tr> 
					      <td align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncCambiarMatricula();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					  </TABLE>
					  <TABLE class="general">
					    <tr> 
					      <td width="40%" valign="top" class="inputFieldTitle"><%= res.getString("etMatriculaActual")%></td>
					      <td width="60%" valign="top" class="inputFieldTitle"><%= res.getString("etMatriculaNueva")%></td>
					    </tr>
					    <tr align="center"> 
					      	<td align="left"> 
  					      	  <select class=inputFieldOblig  NAME="MatricActual" onKeypress="buscar_op(this,this)" onblur="borrar_buffer()" onclick="borrar_buffer()">					      	
					                    <option selected value=""></option>
					                    <%=miCombo.ComMatricula(m05bConstantes.VEH_TODOS,"")%>
					            </select> 
					      	</td>
					        <td align="left">
								<INPUT class="inputFieldOblig" TYPE="TEXT" NAME="MatricNueva" size="22" maxlength="20"/> 
					        </td>
					    </tr>
					  </TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
  function fncCambiarMatricula() {
     var msg=dameAlerta(idioma, 73);
     var docu=document.formCambioMatricula;
     	// Control de campos obligatorios
     if ((docu.MatricActual.value == "") || (docu.MatricNueva.value == ""))  {
     	 alert(dameAlerta(idioma, 52));
     	 if(docu.MatricActual.value == "")
     	 	docu.MatricActual.focus();
		 else 
		 	docu.MatricNueva.focus();
     } else {
     	if(existeCaracter(docu.MatricNueva.value,"\'")||existeCaracter(docu.MatricNueva.value,'\"')){
			alert(dameAlerta(idioma, 1));
			docu.MatricNueva.focus();
			return;
		}     	 
     	if (confirm(msg)){
	        docu.action="m05bCambiarMatriculaServlet";
	        docu.submit();
        }
     }   
  }

  setTimeout('initSlide();', 1);
</SCRIPT>
	
</BODY>
</HTML>